Bug 1079938 - [glibc2.27] ffado fails to build
[glibc2.27] ffado fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dave Plater
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-07 22:31 UTC by Dominique Leuenberger
Modified: 2020-12-10 16:20 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-07 22:31:10 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - ffado is amongst the packages failing to build

From the build log:

[  139s] In file included from src/libutil/IpcRingBuffer.h:37:0,
[  139s]                  from src/libutil/IpcRingBuffer.cpp:24:
[  139s] src/libutil/PosixMessageQueue.h:117:38: error: 'sigval_t' has not been declared
[  139s]      static void notifyCallbackStatic(sigval_t t) {
[  139s]                                       ^~~~~~~~

Complete buildlog available at https://build.opensuse.org/public/build/openSUSE:Factory:Staging:C/standard/x86_64/ffado/_log
Comment 1 Dave Plater 2018-02-08 06:44:05 UTC
Appears to need #include <signal.h> for sigval_t.
New ffado 2.4.0 released as well.
Comment 2 Dave Plater 2018-02-08 06:55:13 UTC
Seems I was right, my patch was already applied in version 2.4.0
Fixed when update submitted.
Comment 3 Dave Plater 2018-02-08 17:12:05 UTC
Fixed in sr#574334
Comment 4 Swamp Workflow Management 2018-02-08 17:40:09 UTC
This is an autogenerated message for OBS integration:
This bug (1079938) was mentioned in
https://build.opensuse.org/request/show/574334 Factory / ffado
Comment 5 OBSbugzilla Bot 2020-12-10 16:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1079938) was mentioned in
https://build.opensuse.org/request/show/854610 Backports:SLE-15-SP3 / ffado